## libmicrodns 0.2.0

=== meson_options.txt ===
option('fuzzing', type: 'boolean', value: false)

option('tests', type: 'feature', value: 'auto')
option('examples', type: 'feature', value: 'auto')

## libmicrodns 0.0.3

=== debian/changelog ===
libmicrodns (0.0.3-3) unstable; urgency=medium

  * debian/watch: Point to the right project.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Jul 2016 19:24:22 +0200

libmicrodns (0.0.3-2) unstable; urgency=medium

  * debian/control: Use the correct Description. (Closes: #827467)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2016 18:53:30 +0200

libmicrodns (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #827289)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jun 2016 19:45:53 +0200

=== debian/control ===
Source: libmicrodns
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmicrodns.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmicrodns.git
Homepage: https://github.com/videolabs/libmicrodns

Package: libmicrodns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmicrodns0 (= ${binary:Version}),
 ${misc:Depends}
Description: minimal mDNS resolver and announcer library (development files)
 Multicast Domain Name System (mDNS) is a zero-configuration service that
 allows one to resolve host names to IP addresses in local networks.
 libmicrodns provides a minimal implementation of a mDNS resolver as well as an
 announcer.
 .
 This package contains the development files.

Package: libmicrodns0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: minimal mDNS resolver and announcer library (shared library)
 Multicast Domain Name System (mDNS) is a zero-configuration service that
 allows one to resolve host names to IP addresses in local networks.
 libmicrodns provides a minimal implementation of a mDNS resolver as well as an
 announcer.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## libmicrodns 0.0.7

=== debian/changelog ===
libmicrodns (0.0.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 11:05:42 +0200

libmicrodns (0.0.7-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Jun 2017 22:04:23 +0200

libmicrodns (0.0.6-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 May 2017 18:42:37 +0200

libmicrodns (0.0.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Apr 2017 23:28:53 +0200

libmicrodns (0.0.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/{compat,control,rules}: Bump compat to 10.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Mar 2017 20:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  pkg-config
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmicrodns.git

## libmicrodns 0.0.8

=== debian/changelog ===
libmicrodns (0.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/rules: Build with all hardening options.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Sep 2017 21:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 10),
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmicrodns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmicrodns.git
 Homepage: https://github.com/videolabs/libmicrodns

## libmicrodns 0.0.10

=== debian/changelog ===
libmicrodns (0.0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches integrated upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Mar 2018 23:35:48 +0100

libmicrodns (0.0.9-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix crashes when enumerating
    interfaces. (Closes: #893284)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Mar 2018 00:19:36 +0100

libmicrodns (0.0.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper comapt to 11.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Mar 2018 09:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  pkg-config
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmicrodns.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmicrodns.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmicrodns.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmicrodns
 Homepage: https://github.com/videolabs/libmicrodns
 
 Package: libmicrodns-dev

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libmicrodns-$1\.tar\.gz/ \
  https://github.com/videolabs/libmicrodns/tags .*/v?(\d\S*)\.tar\.gz

## libmicrodns 0.1.0

=== debian/changelog ===
libmicrodns (0.1.0-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Aug 2019 20:26:02 +0200

libmicrodns (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.
  * debian/libmicrodns0.symbols: Add Build-Depends-Package.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Aug 2019 20:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libmicrodns
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmicrodns.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmicrodns
 Homepage: https://github.com/videolabs/libmicrodns

## libmicrodns 0.2.0

=== debian/changelog ===
libmicrodns (0.2.0-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream version 0.2.0
  * debian/control: replace Sebastian Ramacher (Thank you!!) in Uploaders by
    myself
  * debian/control: add B-D on meson
  * debian/control: bump dh compat 12->13
  * debian/control: add Rules-Requires-Root: no
  * debian/control: pkg-config -> pkgconf
  * debian/control: bump Standards-Version (no changes)
  * debian/copyright: update for new upstream version
  * debian/watch: bump to version=4
  * run wrap-and-sort -as
  * rename libmicrodns0->libmicrodns1 due to SONAME bump
  * add debian/libmicrodns1.symbols
  * add debian/salsa-ci.yml

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 14 Jul 2024 00:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Uploaders:
+ Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- pkg-config
-Standards-Version: 4.4.0
+ debhelper-compat (= 13),
+ meson,
+ pkgconf
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmicrodns.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmicrodns
 Homepage: https://github.com/videolabs/libmicrodns
+Rules-Requires-Root: no
 
 Package: libmicrodns-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libmicrodns0 (= ${binary:Version}),
+ libmicrodns1 (= ${binary:Version}),
  ${misc:Depends}
 Description: minimal mDNS resolver and announcer library (development files)
  Multicast Domain Name System (mDNS) is a zero-configuration service that
@@ -26,7 +29,7 @@
  .
  This package contains the development files.
 
-Package: libmicrodns0
+Package: libmicrodns1
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libmicrodns-$1\.tar\.gz/ \
  https://github.com/videolabs/libmicrodns/tags .*/v?(\d\S*)\.tar\.gz

## libmicrodns 0.2.0-1trisquel1

=== debian/changelog ===
libmicrodns (0.2.0-1trisquel1) ecne-backports; urgency=medium

  * Backport dependency for newer tuba; mastodon client

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Feb 2026 05:51:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libmicrodns
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
